// creator  : weidu.exe (version 23600)
// argument : KAISH.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~KAISH~

IF ~  ReactionGT(LastTalkedToBy(Myself),NEUTRAL_UPPER)
NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #21100 /* ~Hello to you that do not belong. I greet ye, and ask your purpose to be here. We are wary of those stranger to us, and some may fear your coming. Please assure my worry you are not here to harm.~ */
  IF ~~ THEN REPLY #21104 /* ~We will not harm you. Our ship foundered and we washed ashore on your island.~ */ GOTO 3
  IF ~~ THEN REPLY #21105 /* ~My purpose here is my business and not yours. It's bad enough we were shipwrecked on this backwater island.~ */ GOTO 4
  IF ~~ THEN REPLY #21106 /* ~I am not interested in you at all. I am here for other reasons, and I have only disturbed you because we were shipwrecked.~ */ GOTO 5
END

IF ~  ReactionGT(LastTalkedToBy(Myself),HOSTILE_UPPER)
ReactionLT(LastTalkedToBy(Myself),FRIENDLY_LOWER)
NumberOfTimesTalkedTo(0)
~ THEN BEGIN 1 // from:
  SAY #21101 /* ~You do not belong, and yet you are here. What is your reason? Have you come to harm? Say otherwise and calm my fear.~ */
  IF ~~ THEN REPLY #21107 /* ~We will not harm you. Our ship foundered and we washed ashore on your island.~ */ GOTO 3
  IF ~~ THEN REPLY #21108 /* ~My purpose here is my business and not yours. It's bad enough we were shipwrecked on this backwater island.~ */ GOTO 4
  IF ~~ THEN REPLY #21109 /* ~I am not interested in you at all. I am here for other reasons, and I have only disturbed you because we were shipwrecked.~ */ GOTO 5
END

IF ~  ReactionLT(LastTalkedToBy(Myself),NEUTRAL_LOWER)
NumberOfTimesTalkedTo(0)
~ THEN BEGIN 2 // from:
  SAY #21102 /* ~You smell of the outside. You do not belong. What do you want here? We will not let you harm the home.~ */
  IF ~~ THEN REPLY #21110 /* ~We will not harm you. Our ship foundered and we washed ashore on your island.~ */ GOTO 3
  IF ~~ THEN REPLY #21111 /* ~My purpose here is my business and not yours. It's bad enough we were shipwrecked on this backwater island.~ */ GOTO 4
  IF ~~ THEN REPLY #21112 /* ~I am not interested in you at all. I am here for other reasons, and I have only disturbed you because we were shipwrecked.~ */ GOTO 5
END

IF ~~ THEN BEGIN 3 // from: 2.0 1.0 0.0
  SAY #21113 /* ~Then you are as we, for our beginning was as yours. Long have we been on this home, but not always. The mothers of our great-grandmothers were from away, but traveled near and the depths swallowed their ship. Accursed cliffs below have sharper teeth than we.~ */
  IF ~~ THEN REPLY #21121 /* ~You were shipwrecked? How long ago? I have come looking for an ancient shipwreck.~ */ GOTO 6
  IF ~~ THEN REPLY #21127 /* ~A shipwreck! That is what I search for! Where in this pathetic little town have you hidden it?~ */ GOTO 7
END

IF ~~ THEN BEGIN 4 // from: 2.1 1.1 0.1
  SAY #21115 /* ~Your voice is rude and will not collect much respect from us if you do not tame it. You are granted pardon because you are like us long ago. The mothers of our great-grandmothers came to this home as you, with ship in pieces behind. Many paddled with and formed the home you see. The children have never seen the muzzle of an outsider.~ */
  IF ~~ THEN REPLY #21123 /* ~You were shipwrecked? How long ago? I have come looking for an ancient shipwreck.~ */ GOTO 6
  IF ~~ THEN REPLY #21129 /* ~A shipwreck! That is what I search for! Where in this pathetic little town have you hidden it?~ */ GOTO 7
END

IF ~~ THEN BEGIN 5 // from: 2.2 1.2 0.2
  SAY #21118 /* ~If you leave we alone, then you shall have the same. You are near kin because we came here as you did. Many changes ago the mothers of our great-grandmothers came in on tide with ship in pieces behind.~ */
  IF ~~ THEN REPLY #21124 /* ~You were shipwrecked? How long ago? I have come looking for an ancient shipwreck.~ */ GOTO 6
  IF ~~ THEN REPLY #21131 /* ~A shipwreck! That is what I search for! Where in this pathetic little town have you hidden it?~ */ GOTO 7
END

IF ~~ THEN BEGIN 6 // from: 5.0 4.0 3.0
  SAY #21140 /* ~You have? How you know of this place? We are undisturbed for age upon age, but you know of our wreck?~ */
  IF ~~ THEN REPLY #21146 /* ~A merchant ship sailed close during a storm and spotted it. It bears the markings of Balduran, a hero that went missing some three hundred years ago. A man named Mendas hired me to find it. His accent is not unlike yours.~ */ GOTO 8
  IF ~~ THEN REPLY #21153 /* ~A ship sailed close during a storm, but could not land. They saw an old shipwreck, but no sign of you or anyone else. We came to investigate and possibly gather salvage from the wreck.~ */ GOTO 9
  IF ~~ THEN REPLY #21157 /* ~I did not know, but I am always on the lookout for a salvage opportunity.~ */ GOTO 10
END

IF ~~ THEN BEGIN 7 // from: 5.1 4.1 3.1
  SAY #21143 /* ~I say you should speak polite. I suffer your company because you are stranded as we. I will not hear more of this. As for our ship-home, how did you know of this? We have not sensed an outsider before you. If we could have been rescued, why were we not?~ */
  IF ~~ THEN REPLY #21149 /* ~A merchant ship sailed close during a storm and spotted it. It bears the markings of Balduran, a hero that went missing some three hundred years ago. A man named Mendas hired me to find it. His accent is not unlike yours.~ */ GOTO 8
  IF ~~ THEN REPLY #21154 /* ~A ship sailed close during a storm, but could not land. They saw an old shipwreck, but no sign of you or anyone else. We came to investigate and possibly gather salvage from the wreck.~ */ GOTO 9
  IF ~~ THEN REPLY #21160 /* ~I did not know, but I am always on the lookout for a salvage opportunity.~ */ GOTO 10
END

IF ~~ THEN BEGIN 8 // from: 7.0 6.0
  SAY #21352 /* ~Mendas? I do not know this name. I had hoped... one of our kin left the home some time ago, and I thought he might have send you. Selaad was his name, and he was our chieftain. I know not Balduran either. He was not among our founders; he never belong as we. The wreck I have not seen for year upon year. But know where it is, I do.~ */
  IF ~~ THEN REPLY #21358 /* ~Have you tried to repair it? Maybe we could use it to rescue ourselves?~ */ GOTO 11
  IF ~~ THEN REPLY #21359 /* ~Is there any other way off the island? We are stranded just as you are.~ */ GOTO 13
END

IF ~~ THEN BEGIN 9 // from: 7.1 6.1
  SAY #21355 /* ~You pirate, or just beachcomber? Not much to salvage left on the vessel after so many years. Maybe few trinkets, but I have not been in year upon year. We took all that could carry.~ */
  IF ~~ THEN REPLY #21360 /* ~Have you tried to repair it? Maybe we could use it to rescue ourselves?~ */ GOTO 11
  IF ~~ THEN REPLY #21362 /* ~Is there any other way off the island? We are stranded just as you are.~ */ GOTO 13
END

IF ~~ THEN BEGIN 10 // from: 7.2 6.2
  SAY #21357 /* ~I see. You are luck out of then, as the ship-home is old and crumbled. Little to be found I think, though I have not been to see in year over year.~ */
  IF ~~ THEN REPLY #21361 /* ~Have you tried to repair it? Maybe we could use it to rescue ourselves?~ */ GOTO 11
  IF ~~ THEN REPLY #21363 /* ~Is there any other way off the island? We are stranded just as you are.~ */ GOTO 13
END

IF ~~ THEN BEGIN 11 // from: 10.0 9.0 8.0
  SAY #21366 /* ~Repair is not likely. It has been age upon age since landing and freedom. Our wreck was skeleton then, and will not have endured the years as well as we. I have not been for long time gone though.~ */
  IF ~~ THEN REPLY #21371 /* ~Why have you not visited the wreck in so long?~ */ GOTO 12
  IF ~~ THEN REPLY #21374 /* ~Is there any other way off the island?~ */ GOTO 13
END

IF ~~ THEN BEGIN 12 // from: 11.0
  SAY #21377 /* ~It is not safe to go. Cursed by beasts, this island is. Our wall protects, and we fight tooth and nail. The village is refuge, but the island is wild. There are those that do not belong; they are death to us, and we to them.~ */
  IF ~~ THEN REPLY #21386 /* ~Is there any other way off the island? A way around the "beasts"?~ */ GOTO 13
END

IF ~~ THEN BEGIN 13 // from: 12.0 11.1 10.1 9.1 8.1
  SAY #21380 /* ~There is a way. We did start to build a ship-home. After all, if we can build the wall and village, we can build the craft to leave. The first of the mothers were concerned with survive, but now we wish to go. The beasts have caused us trouble no end though. We could not build ship-home on this edge of island because of reef and cliffs below the sea. The other side of the isle is calm, but the creatures live there. We have fought tooth and nail, but we wish peace in life. Perhaps... perhaps you can help? If you kill the beasts we would be free to leave all. I trust you have charts for sea directions? If we could finish ship-home, we could be delivered all.~ */
  IF ~~ THEN REPLY #21385 /* ~Perhaps we could help you, but what is in it for us? What would be the payment?~ */ GOTO 14
  IF ~~ THEN REPLY #21391 /* ~I agree wholeheartedly. I will defeat these beasts and rescue us all!~ */ GOTO 18
  IF ~~ THEN REPLY #21392 /* ~I must know what beasts you speak of. What must we fight?~ */ GOTO 15
  IF ~~ THEN REPLY #21393 /* ~I don't want to become a part of this. Sorry, but I will not help.~ */ GOTO 17
END

IF ~~ THEN BEGIN 14 // from: 16.0 15.0 13.0
  SAY #21394 /* ~You ask payment? Is rescue not payment? You are trapped here just as we. Without our ship-home you will live and die as we. Perhaps we would let you join and belong, but still it is lonely life. If you will not help, then you will live as we forever. You will paying yourself.~ */
  IF ~~ THEN REPLY #21414 /* ~All right, all right, I will agree to help you.~ */ GOTO 18
  IF ~~ THEN REPLY #21415 /* ~Sorry, but I must insist that I receive some gold for my efforts.~ */ GOTO 17
  IF ~~ THEN REPLY #21418 /* ~What are these beasts? Why are they so dangerous?~ */ GOTO 15
  IF ~~ THEN REPLY #21419 /* ~This is not my problem. I will not help.~ */ GOTO 17
END

IF ~~ THEN BEGIN 15 // from: 14.2 13.2
  SAY #21395 /* ~The beasts? They evil, and kill us on sight! We have held them back, and lived as human as we could. They are animals, and live as wolves or carrion-feeders. They disgust, and we despise them.~ */
  IF ~~ THEN REPLY #21424 /* ~Is rescue the only payment you can offer us? What shall we receive for risking our lives?~ */ GOTO 14
  IF ~~ THEN REPLY #21425 /* ~Say no more, I shall deal with them immediately!~ */ GOTO 18
  IF ~~ THEN REPLY #21427 /* ~That was very informative, but exactly what type of creatures are they?~ */ GOTO 16
  IF ~~ THEN REPLY #21430 /* ~I do not wish to become involved. Get help elsewhere.~ */ GOTO 17
END

IF ~~ THEN BEGIN 16 // from: 19.0 15.2
  SAY #21397 /* ~Wolf-like, but not wolves. Man-like, but not men. I sorry, but I do not know what you would call them. All we know is that they are like us, but not like us. They do not belong.~ */
  IF ~~ THEN REPLY #21439 /* ~Is rescue the only payment you can offer us? What shall we receive for risking our lives?~ */ GOTO 14
  IF ~~ THEN REPLY #21440 /* ~Say no more, I shall deal with them immediately!~ */ GOTO 18
  IF ~~ THEN REPLY #21441 /* ~I do not wish to become involved. Get help elsewhere.~ */ GOTO 17
END

IF ~~ THEN BEGIN 17 // from: 19.3 19.2 16.2 15.3 14.3 14.1 13.3
  SAY #21400 /* ~Then you will remain here trapped as we. Perhaps you will belong some day, but not for now. You are exile, and we will not help you if you don't help us. Perhaps you will change your mind, but nothing will change until you do.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #27195 /* ~The Mysterious Island
I spoke with the current leader of the village, Kaishas Gan, and she asked me to help rid the island of "the beasts." I refused, though I may have to reconsider if I want any help leaving this place.~ */ EXIT
END

IF ~~ THEN BEGIN 18 // from: 19.1 16.1 15.1 14.0 13.1
  SAY #21402 /* ~Wonderful! You will help us and we will help you. Together we leave this isle and take our children to the world. You will find the gates are open to you. Please close tightly behind, and we shall guard while you search. They have a leader, the beasts do. Their howling calls him Karoug, but it is hard to understand for sure.~ */
  IF ~~ THEN DO ~SetGlobal("kaishas1","GLOBAL",1)
EraseJournalEntry(27052)
EraseJournalEntry(27195)
EraseJournalEntry(26935)
~ UNSOLVED_JOURNAL #27196 /* ~The Mysterious Island
I have agreed to help Kaishas Gan rid this isle of the "beasts," a group of monsters that have apparently been harassing her village for years. They live beyond the village wall, and she said their leader's name is Karoug. He is more wolf than man, I think she said.~ */ EXIT
END

IF ~  Global("kaishas1","GLOBAL",0)
~ THEN BEGIN 19 // from:
  SAY #21443 /* ~Have you changed minds? Will you help in our dilemma?~ */
  IF ~~ THEN REPLY #21444 /* ~What were these creatures? How dangerous are they?~ */ GOTO 16
  IF ~~ THEN REPLY #21446 /* ~I will help as best I can.~ */ GOTO 18
  IF ~~ THEN REPLY #21447 /* ~I demand payment for the help I can give!~ */ GOTO 17
  IF ~~ THEN REPLY #21448 /* ~I still do not want to help.~ */ GOTO 17
END

IF ~  Global("kaishas1","GLOBAL",1)
~ THEN BEGIN 20 // from:
  SAY #21451 /* ~Were you... successful? Did the beasts fall before you?~ */
  IF ~  Dead("GreaterWolf")
~ THEN REPLY #21468 /* ~They did, and now our way is clear. We can escape as soon as you show us where your new ship is.~ */ GOTO 25
  IF ~~ THEN REPLY #21469 /* ~I have not killed them all yet. I will keep trying.~ */ GOTO 23
  IF ~  Global("OHDradeelInfo","GLOBAL",1)
Global("DraTalk","GLOBAL",1)
~ THEN REPLY #21470 /* ~I met a strange mage out there. He was mad from isolation, but he had much to say.~ */ GOTO 21
END

IF ~~ THEN BEGIN 21 // from: 20.2
  SAY #21498 /* ~Believe him not! He does not belong! He is as mad as the beasts and almost as dangerous.~ */
  IF ~~ THEN REPLY #21499 /* ~He said that it was not a reef that claimed your original ship. The beasts were aboard, and killed the crew.~ */ GOTO 24
  IF ~~ THEN REPLY #21500 /* ~I will mention it no more. He was clearly deranged.~ */ GOTO 22
  IF ~  Dead("Karoug")
~ THEN REPLY #21501 /* ~Enough of him then. I did kill all the beasts, as you had asked.~ */ GOTO 25
  IF ~~ THEN REPLY #21502 /* ~I have not killed them all yet. I will keep trying.~ */ GOTO 23
END

IF ~~ THEN BEGIN 22 // from: 21.1
  SAY #21503 /* ~He must have been. He does not belong, and the isolation has harmed his sense. Were you successful at killing the beasts?~ */
  IF ~~ THEN REPLY #21504 /* ~I was. Our way is clear and we can leave as soon as you show us where the new boat is moored.~ */ GOTO 25
  IF ~~ THEN REPLY #21506 /* ~Not yet, but I will continue trying.~ */ GOTO 23
END

IF ~~ THEN BEGIN 23 // from: 24.0 22.1 21.3 20.1
  SAY #21512 /* ~Please do so. We must be free of this place. A home it has been, but we long to run in new woods.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 24 // from: 21.0
  SAY #21514 /* ~There were deaths when we came to this place, but I assure you, only those that live in peace survived. We fled the sinking ship-home and began life anew. There were those that could not belong, they did not wish to join and threatened the founders with death.~ */
  IF ~~ THEN REPLY #21517 /* ~Everything worked out for the best then. You survived and built this fine home. I will continue to help you.~ */ GOTO 23
  IF ~  Dead("Karoug")
~ THEN REPLY #21519 /* ~What do you mean by not being able to "belong"?~ */ GOTO 26
END

IF ~~ THEN BEGIN 25 // from: 22.0 21.2 20.0
  SAY #21521 /* ~Then you are truly deserving. No more thought of fight or flight, for now you will belong as we. Hear the tale, and join our humble legion.~ */
  IF ~~ THEN GOTO 26
END

IF ~~ THEN BEGIN 26 // from: 25.0 24.1
  SAY #21525 /* ~They did not wish to become as we are. They fought our mothers' grandmothers without thought, and would not reason. Balduran led them, and because of his leadership many on both sides died. I do not know his fate, only that he killed many, and so the ancestors left him to his sinking ship. He would not belong, and now we know not to ask. You will know peace with us, because we do not wish to harm our saviors. You who would help us to leave.~ */
  IF ~~ THEN GOTO 38
END

IF ~~ THEN BEGIN 27 // from: 38.0
  SAY #21527 /* ~Now you will belong. It not so bad, and you will begin to feel as we in a short time. It may be... unstable for a time. You may... hurt... but you will live, and we shall all go to new forests and plains with your maps and our ship-home. I will hold the sea charts for now, please you will give. We welcome you to wolfen-kind, and to family you now belong. The beasts you have killed were animal and evil, but we are proper lycantho, and noble in our peace.~ */
  IF ~~ THEN REPLY #21530 /* ~What have you done?! I will fight you to the death! I will never "belong"!~ */ DO ~TakePartyItem("misc1c")
~ GOTO 28
  IF ~~ THEN REPLY #21533 /* ~You have infected me with... lycanthropy? You are utterly evil!~ */ GOTO 30
  IF ~~ THEN REPLY #21536 /* ~That doesn't sound too bad, I suppose. We shall be free to run...~ */ EXTERN ~TAILAS~ 0
END

IF ~~ THEN BEGIN 28 // from: 27.0
  SAY #21546 /* ~You already do. You just don't know yet. It will come.~ */
  IF ~~ THEN REPLY #21548 /* ~Never! Die monsters! I will kill your evil and find a cure!~ */ GOTO 29
  IF ~~ THEN REPLY #21550 /* ~I guess it's not that bad, really. We shall be free to run...~ */ EXTERN ~TAILAS~ 0
  IF ~~ THEN REPLY #21552 /* ~But you have infected me with... lycanthropy? You are utterly evil!~ */ GOTO 30
END

IF ~~ THEN BEGIN 29 // from: 28.0
  SAY #21553 /* ~I had hoped you would see different. So be it. You not belong, now or ever. Now the village must see as you truly are, an outsider who will harm. I will take your charts from you, as we might have some use for them. Die then, before our gift takes you.~ */
  IF ~~ THEN DO ~TakePartyItem("MISC1C")
SetGlobal("infected","GLOBAL",1)
SetGlobalTimer("PlayerInfected","GLOBAL",TWENTYFIVE_DAYS)
EscapeArea()
~ UNSOLVED_JOURNAL #27195 /* ~The Mysterious Island
I spoke with the current leader of the village, Kaishas Gan, and she asked me to help rid the island of "the beasts." I refused, though I may have to reconsider if I want any help leaving this place.~ */ EXIT
END

IF ~~ THEN BEGIN 30 // from: 28.2 27.1
  SAY #21554 /* ~Not so. We have a gift as a race and wish to share with many. You will see, now that you are welcome. You who would help us to leave will belong and be welcome.~ */
  IF ~~ THEN EXTERN ~TAILAS~ 0
END

IF ~~ THEN BEGIN 31 // from:
  SAY #21556 /* ~Hold your tongue, Tailas. What do you speak of?~ */
  IF ~~ THEN EXTERN ~TAILAS~ 1
END

IF ~~ THEN BEGIN 32 // from:
  SAY #21558 /* ~They would be our saviors, Tailas, and you threaten? What sense is this?~ */
  IF ~~ THEN EXTERN ~TAILAS~ 2
END

IF ~~ THEN BEGIN 33 // from:
  SAY #21559 /* ~You would turn our own against those who would save? Fools you are! <CHARNAME>, I absolve you for what you must do. I must take your charts, as I can not see them damaged in the coming conflict. Defend from what comes. I will decide later what to do about the gift.~ */
  IF ~~ THEN DO ~TakePartyItem("MISC1C")
SetGlobal("infected","GLOBAL",1)
SetGlobalTimer("PlayerInfected","GLOBAL",TWENTYFIVE_DAYS)
EscapeArea()
~ UNSOLVED_JOURNAL #27197 /* ~The Mysterious Island
Werewolves! They descended from the original crew of Balduran's ship, but they are all werewolves. That's why their ship was scuttled in the first place! They infected me with lycanthropy as a "gift" so that I might "belong" with them. I'm sure we could have resolved things, but other members of their village would not have it. I must fight my way through them now and escape as best I can.~ */ EXIT
END

IF ~  Global("infected","GLOBAL",1)
~ THEN BEGIN 34 // from:
  SAY #21586 /* ~You have done what must, but now I stop. Here you hold, and here you must die.~ */
  IF ~~ THEN REPLY #21587 /* ~Why should we fight? We can still leave on your ship. Give us back the sea charts and we can all go.~ */ GOTO 35
  IF ~~ THEN REPLY #21588 /* ~You will die like the rest of your kind! Monsters, all of you!~ */ GOTO 36
  IF ~~ THEN REPLY #21589 /* ~I do not wish to exterminate you all. Just give me the charts and the ship and I can go.~ */ GOTO 37
END

IF ~~ THEN BEGIN 35 // from: 34.0
  SAY #21590 /* ~Why must we fight? Cannot let you leave knowing all this. We could have existed peacefully, but now you have fought and will never accept. Others will come to kill or capture. Adventurers like you always come, do they not? No, I must fight, and you must die! We may still have hope if Selaad returns, but you cannot help anymore.~ */
  IF ~~ THEN DO ~Enemy()
~ SOLVED_JOURNAL #27198 /* ~The Mysterious Island
Kaishas left me no choice but to fight. Now I must watch my back against someone named Selaad, the missing chieftain.~ */ EXIT
END

IF ~~ THEN BEGIN 36 // from: 34.1
  SAY #21591 /* ~So it must be. We not leave, but neither will you. None must know of us, not know that we are threat. You will die, even if we must as well! Perhaps Selaad will bring another ship, but for now none will leave.~ */
  IF ~~ THEN DO ~Enemy()
~ SOLVED_JOURNAL #27200 /* ~The Mysterious Island
I offered her a chance to live, but Kaishas insisted on fighting to the last. She mentioned that her people might have a second chance if Selaad returned, so I shall keep watch for him as well.~ */ EXIT
END

IF ~~ THEN BEGIN 37 // from: 34.2
  SAY #21593 /* ~Such generosity, but if you leave you will exterminate anyway. Others will come, other fools just to fight the "evil" we are. No, we must remain alone here now, and so must you. Die and sleep, and you will not know the loneliness. Perhaps if Selaad returns we will try again. Until then, we stay.~ */
  IF ~~ THEN DO ~Enemy()
~ JOURNAL #23352 /* ~I offered her a chance to live, but Kaishas insisted on fighting to the last. She mentioned that her people might have a second chance if Selaad returned, so I shall keep watch for him as well.~ */ EXIT
END

IF ~~ THEN BEGIN 38 // from: 26.0
  SAY #24113 /* ~Do you see these simple people before you? They are your kin now. Look at their smiling faces. Take their hands and know peace. We can sense within you that the beasts have unwittingly given you the gift, and you can belong. Our fate is now your fate, and in time you will be as we, not as the beasts. We will shape and guide, for we are masters of ourselves. We are man, then animal, but more than both.~ */
  IF ~~ THEN GOTO 27
END
